Subject: Re: [RAI] I-D Action: draft-ietf-sipping-media-policy-dataset-14.txt

From: Gonzalo Camarillo <[email-masked]>
Date: Thu, 1 Mar 2012 11:09:16 +0200

Hi Paul,

thanks for your comment. Good catch. Yes, the o/a procedures you refer
to are specified here:

http://tools.ietf.org/html/rfc3264#page-10

I have edited that section so that only codecs that are in both the
offer and the answer are listed. I will be submitting revision 15 of the
draft shortly.

Thanks,

Gonzalo

On 22/02/2012 3:51 AM, Paul Kyzivat wrote:
> (I guess this must go to RAI, since sipping is now closed)
> 
> Somehow I managed to ignore this up till now.
> I have déjà vu reading this - it feels like SDPng has returned. :-)
> 
> I see one possible problem with this:
> 
>> 4.1.  Mapping SDP to Session Info Documents
>>
>>    If a UA has an SDP offer and answer pair [RFC3264] and wants to
>>    create a session info document, the UA uses the answer to fill in the
>>    elements of the session info document except for the <remote-host-
>>    port> and <local-host-port> elements, which are taken from the remote
>>    and local SDP respectively.  (The local SDP is the one sent by the
>>    UA; the remote session description is the one received from the
>>    remote UA.)
> 
> I think this isn't quite right. Specifically, the m-line in the offer 
> can contain those formats from the offer that the answerer wants to use. 
> But it may also contain additional formats that the answerer supports. 
> But those added ones, and the formats in the offer that are not in the 
> answer, cannot be used for the session at that time.
> 
> I think your mapping procedure improperly includes the formats from the 
> answer that weren't in the offer.
> 
> I guess the mapping could simply say to omit those.
> Or you could include <codec> elements for those mentioned in offer or 
> answer but not both with enabled=no and perhaps direction to indicate 
> which side named it.
> 
> 	Thanks,
> 	Paul
> _______________________________________________
> RAI mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rai
>